syntax = "proto2";
//
// EyeData
//
// Covers all data that is relevant to describe eye related data.
//
package gazetk.protocol;

import "basic_types.proto";

//
// Represents a single measurement of eye related data
//
message EyeSample {
	required gazetk.protocol.types.Timestamp timestamp = 1; // Time of the measurement
	optional gazetk.protocol.EyeDescription right_eye  = 2; // Description of the right eye
	optional gazetk.protocol.EyeDescription left_eye   = 3; // Description of the right eye
	optional gazetk.protocol.EyeDescription both_eyes  = 4; // Description of both eyes (average) or if the eye tracker does not specify an eye
}

message EyeDescription {
	optional gazetk.protocol.types.Vec2f pupil_size    = 1; // Size of the pupil between 0 and 1
}

